Google Web Toolkit (Beta)
Search this site:

# Interface Attr

public interface Attr
extends Node
`Attr` objects represent key-value pairs of attributes on `Element` objects. `Attr` objects are immutable.

## Methods

getName() | This method retrieves the name.
getSpecified() | This method determines whether the value of this `Attr` was specified here, or as a default value in a DTD.
getValue() | This method retrieves the value.

## Method Detail

### getName

public String getName()
This method retrieves the name.

#### Return Value

the name of this `Attr`

### getSpecified

public boolean getSpecified()
This method determines whether the value of this `Attr` was specified here, or as a default value in a DTD.

#### Return Value

`true` if the value of this `Attr` was specified locally.

### getValue

public String getValue()
This method retrieves the value.

#### Return Value

the value of this `Attr`